import { JsonObject } from '@backstage/types';
import { CatalogProcessor, CatalogProcessorCache } from '@backstage/plugin-catalog-node';
export declare class ProcessorCacheManager {
    private readonly existingState;
    private caches;
    constructor(existingState: JsonObject);
    forProcessor(processor: CatalogProcessor, key?: string): CatalogProcessorCache;
    collect(): JsonObject;
}
